Loading...
Searching...
No Matches
vomsdata Struct Reference

`#include <voms_apic.h>`

## Data Fields

char * | cdir
char * | vdir
struct voms ** | data
char * | workvo
char * | extra_data
int | volen
int | extralen
struct vomsdata * | real

## Detailed Description

Definition at line 144 of file voms_apic.h.

## Field Documentation

## cdir

char* vomsdata::cdir

Definition at line 145 of file voms_apic.h.

## data

struct voms** vomsdata::data

User's info, as in the certificate extension. It may contain data gathered from more than one VOMS server,

Definition at line 147 of file voms_apic.h.

## extra_data

char* vomsdata::extra_data

The data specified by the user with the –include switch. Note that this field doesn't contain the result of a request to the VOMS server, but instead data specified by the user. The reason for the introduction of this extension is to let a user include important data into his proxy certificate, like, for example, a kerberos ticket

Definition at line 152 of file voms_apic.h.

## extralen

int vomsdata::extralen

Definition at line 162 of file voms_apic.h.

## real

struct vomsdata* vomsdata::real

Definition at line 164 of file voms_apic.h.

## vdir

char* vomsdata::vdir

Definition at line 146 of file voms_apic.h.

## volen

int vomsdata::volen

Definition at line 161 of file voms_apic.h.

## workvo

char* vomsdata::workvo

The value of the -vo option of the voms-proxy-init command

Definition at line 150 of file voms_apic.h.

The documentation for this struct was generated from the following file:

- voms_apic.h